xorg high cpu usage, system sluggishness

Bug #294972 reported by waydownsouth on 2008-11-07
220
This bug affects 35 people
Affects Status Importance Assigned to Milestone
xorg-server (Ubuntu)
Low
Unassigned
Declined for Intrepid by Bryce Harrington

Bug Description

Sometimes Xorg is shown in htop, top, ps, etc. as having a higher than expected CPU load. Perhaps 100%, 50%, 10-20%... Higher than the 1-5% that you normally expect.

Sometimes this is accompanied by general system sluggishness, sometimes the fan runs at full tilt.

This is not a single specific bug but rather is a generic symptom that can be caused by a wide variety of different underlying problems. This bug report is left open just as a placeholder and point for general discussion about this class of issue.

In general, MOST of the time the issue is NOT X, but rather a client program that is just out of control making X calls. X is a server and just responds to client requests as best it can. If a client app is going nuts, like making a really expensive X call every few seconds, you'll see the high CPU indicated against X, even though the problem is really the client application's poorly optimized algorithm.

A troubleshooting guide for this class of problem is available here:

   https://wiki.ubuntu.com/X/Troubleshooting/HighCPU

Usually by starting or killing various programs, daemons, services, and so on you can narrow in on what is causing the load.

Remember, your high CPU is probably NOT caused by X, so figure out which application is driving X, and file a new bug against THAT package.

[Original Report]
After the recent upgrade to 8.10 via update-manager -d, my whole system is quite laggy.

Xorg now sits at the top of the cpu usage list constantly using 10 - 20%, whereas under hardy it would sit at 1-2%.

Opening programs can be at times quite slow, for instance, gedit can take 10+ seconds to open and load a txt file.

Xorg.0.log seems normal enough till the end where I'll get several lines like this:

AUDIT: Fri Nov 7 10:05:47 2008: 6071 X: client 4 rejected from local host ( uid=0 gid=0 pid=6545 )

System:
Linux WORKSHOP 2.6.27-7-generic #1 SMP Tue Nov 4 19:33:20 UTC 2008 i686 GNU/Linux
P4 3.4Ghz,
1 Gb RAM,
Nvidia 8400gs with the 177 driver

I'm not sure what other info is required, I'm sure someone will let me know...

others possibly having the same issues:

http://ubuntuforums.org/showthread.php?t=966629
http://ubuntuforums.org/showthread.php?t=967839
http://ubuntuforums.org/showthread.php?t=970714
http://ubuntuforums.org/showthread.php?t=965897

description: updated

Hi greasemonkeynz,

Please attach the output of `lspci -vvnn`, and attach your /var/log/Xorg.0.log file from after reproducing this issue. If you've made any customizations to your /etc/X11/xorg.conf please attach that as well.

Changed in xorg:
status: New → Incomplete
waydownsouth (greasemonkeynz) wrote :
waydownsouth (greasemonkeynz) wrote :
waydownsouth (greasemonkeynz) wrote :

No customizations to xorg.conf, all defaults.

Mats Taraldsvik (meastp) wrote :

I am also experiencing this issue. I haven't found a pattern yet, though, but the cause seems to be related to web browsers. I'm using both Opera and Firefox, but Flash is disabled in Opera.

I have these issues with and without compiz, and also with the nv driver.

nvidia-settings modified my xorg.conf. Output attached.

2 comments hidden view all 108 comments
waydownsouth (greasemonkeynz) wrote :

It definately seems a bit worse when firefox is running & I have been experiencing some random behavior in firefox which I'm not sure if it is related.

But, after a reboot, login & no programs running, htop reports xorg to be hovering at 14% cpu

Mats Taraldsvik (meastp) wrote :

It happened again.

Notes:

I was listening to a podcast in Totem. Using gpodder.

Xorg used >50% cpu

Pulseaudio used ~10-15, opera 30-40.

Htop, which I used to monitor this, suprisingly suddenly used 40% cpu, after closing opera, gpodder, totem.

I rebooted the computer, and opened gpodder, a podcast with totem, opera and htop. Same thing. Attached screenshot.

Mats Taraldsvik (meastp) wrote :

..or more happens, to be exact. It does not go away automatically, and I don't exactly know why it suddenly disappears.

Mats Taraldsvik (meastp) wrote :

Notes:

Happened again. I closed Opera, and the issues did not disappear.

NB: the screenshot is taken while another instance of gnome-screenshot is running, as seen in the attachment. This to show the ridiculous amounts of cpu power htop and gnome-screenshot uses while being in an idle state with this bug.

If you need logs, info etc., please let me know.

Will Sutton (wsutton1) wrote :

i have the same problem if anyones interested.
im using the latest fglrx driver with an ati radeon hd3850 and a phenom 2.3 ghz quad. sometimes xorg takes over an entire core and causes the computer to become nearly unusable. my laptop with a 2.5 ghz intel and the mobile ati radeon hd 3650 has none of these problems despite an identical driver setup. any ideas would be appreciated
attached is a version of the error described above.

Diego Fraga (diego-fc) wrote :

As I said in other bugtrack, i have the same issue. If someone needs some log or othes stuff... please contact.

unclebob (ralfhedenhos) wrote :

I'm having the same issue. Everything is really sluggish. Xorg eats 10-20% (minimum) while doing basically nothing. Intel 965gm hardware.

lfbarragan (lfbarragan) wrote :

Same problem here, I just started my system and only with Firefox opened I get 30 to 40% cpu used by Xorg in the console. Intel 945 hardware.

syms (nec228) wrote :

I have same problem, ubuntu 8.10 is unusable when xorg uses so much cpu. Please fix that bug!

lfbarragan (lfbarragan) on 2008-11-20
Changed in xorg:
status: Incomplete → Confirmed
Diego Fraga (diego-fc) wrote :

Temporal Solution: Disable Compiz

If you disable compiz, ubuntu is usable, not so beautifull... but working...

lfbarragan (lfbarragan) wrote :

Thanks Diego, I tried your temporal solution and it worked, but after a couple of hours using the system, Xorg goes back to 20% to 30% even though I'm using Kwin instead of Compiz, does anyone have an idea?

I have the same issue on my new laptop (no upgrade straight install of intrepid). Disabling compiz has no effect, nor does uninstalling.

Diego Fraga (diego-fc) wrote :

Disabling compiz effects:

'System' > 'Preferences' > 'Appearance' (I'm not sure bcause I'm using an spanish version :) )
Instead in shell: 'gnome-appearance-properties'

Then you can go to 'Visual Effects' and the first option 'Disabla' or 'None'.

This is not going to solve de 20-30% or more of xorg usage but it's going to make ubuntu 'usable', i mean, you can work with it but not solving the problem really... I'm still 'working' on the problem...

I am also having this issue. I'm using the latest nvidia driver with a fresh install of Ibex on a new laptop.

It seems to be related to either firefox or certain network operations. There are certain websites that if I go to it will happen 100% of the time. IE: farechase.yahoo.com, or kohanaphp.com. KohoanaPHP.com is the easiest to reproduce.

1. Boot ubuntu
2. load firefox
3. visit http://www.kohanaphp.com/

Can someone verify my claim that a) it seems to be network/firefox related, and b) that www.kohanaphp.com causes their system to become unresponsive?

I know it sounds crazy, but I'm having this same issue, and this pretty much always reproduces it.

LinuxKrn (bugs-linuxlogin) wrote :

I'd also like to add this happens with me as well. I have a high end machine (3.4Ghz CPU, dual SLI 8800 GTX, RAID0 SSD, 4GB RAM) and firefox will cause Xorg to 100% CPU and everything freezes for sometimes as long as 5+ seconds when opening or closing new tabs. Even loading pages feels sluggish or causes freeze.

After GDM log-in, the desktop will also hang for 10+ seconds with only the background image showing. Panels, icons, startup sound, etc. are not loading until many seconds later.

Disabling Compiz doesn't improve things that much. (maybe shaves one second off)

I've tried with SLI enabled and disabled and get same results. It seems to be an issue that happened late with 8.04 after some upgrades, and wasn't fixed/resolved in 8.10. I am not sure, but think it all happened around the xorg 7.3 upgrade time frame.

8.10, kernel 2.6.27-9-generic
NVRM version: NVIDIA UNIX x86 Kernel Module 177.80 Wed Oct 1 14:38:10 PDT 2008
GCC version: gcc version 4.3.2 (Ubuntu 4.3.2-1ubuntu11)

LinuxKrn (bugs-linuxlogin) wrote :

Re: Jonathan,

I can confirm that website locks my system up for several seconds. Even if I hit back or try to change tabs it locks up. Everything stops seems to hang, gnome-system-monitor, top, terminals, etc. BUT, Amarok continues to play sound from my music. So it appears to be video/xorg related.

Re: LinuxKrn

Yeah I found it odd because it actually locks up the system, not just the firefox process. There are other websites that do this for me (as I mentioned, farechase.yahoo.com after I submit a search), but that one is pretty consistent.

I noticed a bunch of these in my Xorg.log when the system becomes unresponsive:

---------------------
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
---------------------

Another interesting thing I noticed is that sometimes CTRL-ALT-F1 to switch a terminal results in a flicker of the screen as if it will switch to a term, but then it flashes back to the GUI and sometimes is responsive again.

Further investigation led me to believe that the system is still operating, just nothing is redrawing. I opened a term via a shortcut on my gnome-panel and executed mplayer and the music started while the screen remained "frozen". Even the terminal I opened wasn't actually visible.. I just typed the commands as if the window opened and was focused (as it should be if the system was operating normally).

Definitely video/xorg.

LinuxKrn (bugs-linuxlogin) wrote :

Update:

I logged into my system using another laptop and ran straces on xorg.

I saw tons of loops of these calls during the freezes:

10:19:35.422974 writev(54, [{"\1\0\333\r\6\0\0\0\312\7\3\0\360\0\32\0\34\10\3\0h\10\35"..., 56}], 1) = 56
10:19:35.424835 clock_gettime(CLOCK_MONOTONIC, {44940, 658485608}) = 0
10:19:35.424961 setitimer(ITIMER_REAL, {it_interval={0, 0}, it_value={0, 0}}, NULL) = 0
10:19:35.425092 select(256, [1 3 5 12 16 17 18 19 30 35 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 74 76 77 78], NULL, NULL, {50, 772000}) = 1 (in [54], left {50, 772000})
10:19:35.425335 setitimer(ITIMER_REAL, {it_interval={0, 20000}, it_value={0, 20000}}, NULL) = 0
10:19:35.425464 clock_gettime(CLOCK_MONOTONIC, {44940, 659106144}) = 0
10:19:35.425581 read(54, "\232\n\2\0\204\343,\1", 4096) = 8
10:19:35.425713 read(54, 0xb5e7ca8, 4096) = -1 EAGAIN (Resource temporarily unavailable)

% time seconds usecs/call calls errors syscall
------ ----------- ----------- --------- --------- ----------------
 74.81 0.019764 1 17968 47 select
  5.83 0.001541 5 294 ioctl
  5.53 0.001461 0 11397 1355 read
  5.39 0.001423 109 13 munmap
  3.75 0.000990 0 4206 gettimeofday
  1.74 0.000459 0 3140 setitimer
  1.08 0.000285 0 6555 clock_gettime
  0.71 0.000187 4 47 poll
  0.42 0.000110 8 13 mmap2
  0.40 0.000107 0 10728 write
  0.27 0.000072 0 1787 writev
  0.08 0.000021 0 5834 62 sigreturn
  0.00 0.000000 0 3210 rt_sigprocmask
------ ----------- ----------- --------- --------- ----------------
100.00 0.026420 65192 1464 total

So it appeared to me that something was unavailable to the system. Debugging X.org gave me a loop inside the nvidia_drv module.

I was already at the current version by Ubuntu, 177.80. So checked nVidia's site for their beta driver 180.06. Figured trying it wouldn't hurt. To my surprise, 180.06 fixed my problems. I now can load that website in fraction of a second. Tab switching works as expected also. CPU Usage is back below 10% now also.

But be aware, this fix it for me and is going to be unsupported by both Ubuntu and nVidia (beta driver).

Mats Taraldsvik (meastp) wrote :

LinuxKrn,

Is this bug fixed in the new drivers, now that you have been using them for a few days?

LinuxKrn (bugs-linuxlogin) wrote :

Mats,

Yes it has been working great since the update. But again, they are beta drivers and had to be installed manually.

Mats Taraldsvik (meastp) wrote :

Might be a backport candidate, then, when it gets released?

LinuxKrn (bugs-linuxlogin) wrote :

Yes, that would be a possible solution. I'm not entirely convinced it is only a bug in nVidia's drivers. Searching for these errors also turns up ATI and Intel problems with very similar issues. So the bug may still exist, just nVidia has a workaround in 180.06.

examples:
http://lists.freedesktop.org/archives/xorg/2008-September/038706.html
http://article.gmane.org/gmane.comp.freedesktop.xorg/33174

Diego Fraga (diego-fc) wrote :

I'm sure that's not only an nvidia bug cause I'm using ATI card.

Mats Taraldsvik (meastp) wrote :

Ah, perhaps we should try to get debugging results for all the cards affected, then? Could you make a quick-guide, LinuxKrn ? I'm not sure where to start for this particular issue.

LinuxKrn (bugs-linuxlogin) wrote :

A good guide already exists here:
https://wiki.ubuntu.com/DebuggingXorg

My testing was done simply with normal (non-debug and without symbols) with strace and gdb. It might be more useful to get full debug information out of X by following the guide above.

DaveAbrahams (boostpro) wrote :

Xorg is also taking 13% CPU on average for me. I'm using fglrx with an ATI FireGL 5200 card. And I had heard I'd be getting *better* battery life after upgrading...

I can supply more info upon request, although it looks like this bug has plenty of lspci dumps so why add another?

I had the same problem after upgrading to Ubuntu intrepid yesterday. Xorg taking 40-70% of CPU and the fan going crazy.

I solved this by re-generating an /etc/X11/xorg.conf with

sudo dpkg-reconfigure -phigh xserver-xorg

My old xorg.conf was configured to work with DUAL screen

see my conf here: http://21croissants.blogspot.com/2008/10/ubuntu-804-xorgconf-for-samsung.html

I guess I'll have to reconfigure xorg when I plug the dual screen again or maybe intrepid will detect it automatically.

Ummmm I was over optimistic in my previous comment and I haven't really solved the problem .... Xorg still takes 20-30% and kills my fan :-(

My card: 0:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)

yarly (ih8junkmai1) wrote :

I think this bug is related to the following threads which involve vlc playback skipping

http://ubuntuforums.org/showthread.php?t=972696
http://forum.videolan.org/viewtopic.php?f=13&t=53415

Every time playback skips/freezes in vlc, there is a corresponding cpu spike of about 10% by Xorg which can be seen by running Top in terminal.

I've observed this behaviour under a fresh install of Ubuntu 8.10

I'm desperately looking for a solution. If I can't find one it's back to windows XP

Let me know if there's anything I need to provide to assist in tracing this bug.

I can verify that this is fixed with the latest nVIDIA beta driver.

On Sat, Dec 20, 2008 at 3:54 AM, yarly <email address hidden> wrote:
> I think this bug is related to the following threads which involve vlc
> playback skipping
>
> http://ubuntuforums.org/showthread.php?t=972696
> http://forum.videolan.org/viewtopic.php?f=13&t=53415
>
> Every time playback skips/freezes in vlc, there is a corresponding cpu
> spike of about 10% by Xorg which can be seen by running Top in terminal.
>
> I've observed this behaviour under a fresh install of Ubuntu 8.10
>
> I'm desperately looking for a solution. If I can't find one it's back to
> windows XP
>
> Let me know if there's anything I need to provide to assist in tracing
> this bug.
>
> --
> xorg 10-20% cpu usage after intrepid upgrade, general system sluggishness
> https://bugs.launchpad.net/bugs/294972
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "xorg" source package in Ubuntu: Confirmed
>
> Bug description:
> After the recent upgrade to 8.10 via update-manager -d, my whole system is quite laggy.
>
> Xorg now sits at the top of the cpu usage list constantly using 10 - 20%, whereas under hardy it would sit at 1-2%.
>
> Opening programs can be at times quite slow, for instance, gedit can take 10+ seconds to open and load a txt file.
>
> Xorg.0.log seems normal enough till the end where I'll get several lines like this:
>
> AUDIT: Fri Nov 7 10:05:47 2008: 6071 X: client 4 rejected from local host ( uid=0 gid=0 pid=6545 )
>
> System:
> Linux WORKSHOP 2.6.27-7-generic #1 SMP Tue Nov 4 19:33:20 UTC 2008 i686 GNU/Linux
> P4 3.4Ghz,
> 1 Gb RAM,
> Nvidia 8400gs with the 177 driver
>
> I'm not sure what other info is required, I'm sure someone will let me know...
>
> others possibly having the same issues:
>
> http://ubuntuforums.org/showthread.php?t=966629
> http://ubuntuforums.org/showthread.php?t=967839
> http://ubuntuforums.org/showthread.php?t=970714
> http://ubuntuforums.org/showthread.php?t=965897
>
>

Johnathan,

Unfortunately, as of now, if the nvnews.net forums are an accurate indicator, the nvidia 180.** betas seem to introduce more problems than they fix (screen corruption, flashing,etc). As far as I'm aware the only way to install the beta drivers is through nvidia's installer.

I'm trying to reach stability without introducing more problems. =/

Bjorn Ruud (bjorn-ruud) wrote :

This problem is also evident with a clean 8.10 64-bit install on a Dell Latitude E6400 laptop with nVidia Quadro 160M (using 177.80 driver).

Xorg, firefox and compiz are all using more cpu than they should when completely idle. Xorg is the worst offender and can use a full cpu core when scrolling a window (graphic or text) or when simply moving the mouse around a lot. Firefox is using about 3% cpu when doing nothing but displaying this page.

8.10 in general has a more sluggish feel than earlier releases.

Bryce Harrington (bryce) on 2009-01-30
description: updated
Bryce Harrington (bryce) on 2009-01-30
Changed in xorg:
importance: Undecided → Wishlist
status: Confirmed → Triaged
28 comments hidden view all 108 comments

Can anyone knowledgeable on the subject explain to me why vino-server is suddenly enabled on so many machines? Unless this is an innocent typo in a script, I'm troubled by the idea of a VNC server suddenly up and running on my machine (unbeknownst to me). Dare we be concerned that something malicious might be happening under our noses?

Brendan_P (brendan-p) wrote :

AMD 64bit, ATI X700 (open source driver) running fresh Jaunty install. Same thing happens, high xorg CPU usage. Suspend and resume fixes it for me :)

I've seen one or two comments mentioning this may be related to power management or screensaver activity. Been ok for a few hours now.

Let me know if I can help in testing.

All the best
B

pi3kl0 (weiser) wrote :

I've got similar problem. After upgrading to Xubuntu Jaunty Xorg takes from 30% to 90% CPU and about 45MB of RAM. System is very sluggish. On the older kernel, 2.6.27-14, problem doesn't exist.

My system:
Dell C510, 1.06 ghz, 512 RAM.

Deenem (deenem) wrote :

New Jaunty install with ATI RadeonHD 4830 using propriety drivers.

Xorg was running at 100% when trying to change any screen settings (change resolution, enable compiz, etc)

RESOLVED by following the instructions here : http://ubuntuforums.org/showthread.php?t=1137576 to disable RandR

Deenem (deenem) wrote :

^^
Should have mentioned, trying to setup dual screens

orifice@gmail.com (orifice) wrote :

Confirmed that stopping (and removing) the vino vnc server solved this issue for me as well. It's a very strange symptom though.

Also of note: nVidia 8600GT here.

Jithin Emmanuel (jithin1987) wrote :

I am using kubuntu karmic and seeing one issue of high cpu usage after *suspend to ram*.

On resuming from sleep. CPU usage remained high for application xorg, firefox-3.5, kmail and ktorrent for about 15 minutes.
Total usage was about 66 % . After this cpu usage fell back to normal levels.

Is this related to this bug only or should I open a new one?

louis (l-jean-richard) wrote :

I upgraded a few days ago to jaunty 9.04 on a Pentium D based box. Today I realised that the fan was making noises without doing any work (no open windows etc...) Opening the system monitor showed an almost constant load of 60% for both CPUs. Looking with top for possible culprits didn't give consistent hints though the activity was higher than expected. Googling about similar simptoms brought me to this bug and after various inconclusive attempts to cure the misbehaviour I gave the command
          killall vino-server
and oh miracle the load immediately dropped to near 0 for both CPUs ...
I^m still puzzled on what this vino-server has to do with my installation then I never heard before of such a service...

Lauri Uotinen (lauri-uotinen) wrote :

For me "killall vino-server" drops Xorgs CPU usage from 80 % to 30 % (still outrageously over the top, but atleast it doesn't cause the system to crawl). So I guess it's no remote desktopping with Ubuntu, then..? I have Ubuntu 8.10.

dtrot55 (trotter-danny) wrote :

I have Ubuntu 9.04 and when I installed Firefox 3.5 and Opera any time I have flash streaming video cpu usage goes through the roof. My cpu fan kicks into high gear and doesnt stop till after i restart...even when I kill firefox or opera. Also I get random high cpu usage just from logging in. When this happens my Xorg and Hal seem to be near the top running at about 30%+. I tried Midori but it just crashes any time there is flash on a website. But this is getting really cumbersome...would really like to use Ubuntu for my Web creation computer but if i cant even test stuff makes it kind of pointless. The computer I am using is a dell inspiron 9200 laptop.

Ph. Marek (ph-marek) wrote :

I have the problem on a notebook; Xorg runs with 100% CPU, in a setitimer();setitimer();select() loop.

I think it mostly happens after suspend-to-ram from a console.

Going into the X session and waiting some seconds usually helps; although then hal seems to get into a process-creation loop, and has to be restarted, too.

Pieter (diepes) wrote :

I have a similar problem. 1core CPU jumps around for Xorg, 100% all Xorg.
$ lsb_release -rd
Description: Ubuntu karmic (development branch)
Release: 9.10

HW lenovo R61
# lspci
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)

Pieter (diepes) wrote :

Just updated to latest packages.
lsb_release -rd
Description: Ubuntu karmic (development branch)
Release: 9.10

New Kernel.
uname -r
2.6.31-12-generic

Problem seem fixed. Xorg cpu usage much lower.
Xorg still jumps to 1-10% CPU and firefox 5-15%

Andrew Abogado (andrewabogado) wrote :

I've been experiencing this problem/issue almost everyday. But after following the guide of @yarly on the Compiz and Nvidia Settings plus the guide of @pete on adding ( Option "UseEvents" "on" ) on xorg.conf the performance of Ubuntu is much more fine.

CPU is now more calm unlike before that it sounded very noisy and it produced a high amount of heat.

Thanks to @pete and @yarly.

It happens to me too. Xorg takes more CPU% ~ 30%.

Also, when I use exaile and change the song track, the system monitor shows 100% cpu usage spikes.

I haven't seen this while I used ubuntu 9.04.

I am having Intel core 2 duo T5450 processor with 2 GB RAM.

Forgot to mention. At present, I'm using the new Ubuntu 9.10 with 2.6.31-14-generic kernel.

Michael Nagel (nailor) wrote :

i am running karmic + radeon graphics card.
when only one user is logged in everything works as expected.

as soon as i start a guest session or log in a second user the system begins to behave sluggish and xorg cpu usage rises.
when this second user starts firefox the system gets unusable and xorg hogs the cpu completely.

am i affected by this bug or should i open a new report? is there any further information i should provide?

Jan Cablik (cablikj) wrote :

Dear all,
I'm using kubuntu karmic with old nvidia graphics. I was fighting with 100% CPU usage in xorg very often. I had to install lxde as an alternative to kde, to be able to use my computer at all.

Few days ago I have finally found my problem - the CPU hungry task was ica. I don't know why this task is running by default in ubuntu, but killing it always solves the problem, CPU usage drops below 2%.

the command is:
sudo killall ica

I hope this can help to others,
Jan

Jan Cablik (cablikj) wrote :

I have found that ica was installed automatically when I installed some other packages. It is not present in a fresh ubuntu installation.

To get rid of it, use:
sudo apt-get remove italc-client

Jan

AREL (arild-eldoy) wrote :

Helped me. Edubuntu installs itcalc-client. In 9.10 it installed on the 2 "kids machines" (both AMD64, dual core). They crawled in periods, could not figure out why. I later installed it on my 9.10 Ubuntu (AMD 64, quad core) and the s... hit the fan. Crazy CPU use and noisy office. Removed on the 3 machines and it is peaceful after.

Arel

The latest round of updates today in Lucid has caused cpu usage to spike pretty badily. I can't even listen to music from mpd because of all the stuttering

Mia Oullas (agradjark) wrote :

Hello,

as everybody here I suffer from high cpu usage due to xorg. I must say, that I tried to follow the troubleshooting guide in ubuntu wiki, but I cannot really understand how it can help me. I print the things, they suggest to print, and what...?

Here is the diagnostic of my problem.
I have fresh installation of Ubuntu 9.10 on Dell E6400 laptop. I have Nvidia graphic card with the newest driver 185.18.36. As many of the posts here, I start to have high cpu usage after 2-3 hours working. Then even a change of the desktop is taking 5+ sec and the fan is going crazy, everything is way to slow for a 2 core processor, 4GB or RAM and 40% usage of the HDD. I kill all the x-application which seems to take a lot of the cpu (firefox, terminal, skype) however nothing changes. Neither the system goes back to its normal speed after restart (I need to wait several hours to get it back to normal). I made all the diagnostics to check if it is not a hardware problem - apparently it is not. I added in xorg.con the options suggested by Bjiorn - no effect. I do not have compiz.
I do not know to what my problems are connected. I have them since 5 months. Unfortunately I may move away from ubuntu...

Any comments/suggestions are welcome. I want to say that i surfed a lot to find a solution for my problem, but no way. I could not find any strange message in the log files of xorg, none infinite loop, nothing... I would be happy if at least somebody suggests how to track the problem. Random killing of processing seems to me to be very inefficient (I have more than 150 tasks per session).

Søren Holm (sgh) wrote :

Have you tried 10.04 ... or 10.10 development-version ?

Mia Oullas (agradjark) wrote :

Yes, for a while.. actually at some point I succeeded to run 9.10 without problems and then when I uprated to 10.04 the problems restarted. Maybe I should try again... but I get tired to reinstall every week... :(

Søren Holm (sgh) wrote :

Try 10.10 - if the problem is still there it is easier to do something when it is a development release I think.

1 comments hidden view all 108 comments

Try 10.10 then. If the problem is still there it is easier to fix when it is a
development version.

thank you Soren. I will try it and report.
Best,
Mia

Aaron Wang Shi (aarons-wang) wrote :

to Mia, I have the same problem in 10.04, and only in 10.04. 9.04/9.10 works fine on my Dell e6400. At first I thought it was because of pause audio, but after I changed my sound system to OSS4, problem still. Every time it happens, I have to unplug the battery, cut AC power, then try to power on, the plug in battery, plug AC power.

Florin Coras (fcoras) wrote :

I'm experiencing the same problem in 10.10 development-version

Same problem here in 10.10 dev-release, with NVidia GeForce GT 330M, Nvidia Module 256.53 and X.Org X Server 1.9.0

Ben (ben2talk) wrote :

Using 10.10 here. I noticed this problem, and my only solution is to do sudo service gdm restart

I tried killing all my apps, deluged/Miro
I tried setting compiz/metacity/kwin
I tried using my nvidia settings to enable/disable the TV twinview (I use the TV to watch movies using SMplayer fullscreen)

It doesn't touch the Xorg CPU usage. After a gdm restart, I get typically 5% cpu - right now watching a movie and working here on my LCD screen I'm seeing it rising slightly after ten minutes to about 7.5 and 8.5% - time seems to have more effect than anything else regardless of what I do.

This is also unrelated to my browser (right now I'm using Chromium browser, but the same effect applies to a fresh Xorg session using only Midori or Epiphany).

However totally convinced I have been, I disabled digital screenlet clock from the TV monitor - the only screenlet running - and it appears to have settled at less than 6% over the last two hours.

How does a screenlet affect the X session?
Why not all the time?
Does anybody really understand this stuff?

It's been an intermittent problem, so only time will tell if that was it.

Ben (ben2talk) wrote :

Update - it's nothing to do with the screenlet. Upon shutdown and startup I had 50% cpu to Xorg showing in conky even after cancelling all the startups.

Opening terminal and doing sudo gdm restart clears it up - Xorg is at the top of the list with 3.96 to 4.4% cpu at present (this is with the TV and LCD monitors active).

maybe a script to do a gdm restart after startup is the answer :-s this is crazy man.

Interestingly now I have no need to log in and reset Xorg to prevent high cpu. Now when I put in a username at the login prompt, the screen goes black and re-presents the username request, the second time around I enter password and get a desktop with Xorg running at around 1.5 cpu which suits me fine.

Björn (bjoern-kde) wrote :

See my comment #3 at bug #586027 about Qt's graphicssystem. Maybe this applies here, as well.

In short, I switched KDE's graphicssystem from default to raster and graphics performance boosted while X-server load become neglectable, again.

Georgy Ivanov (ivanov-georg) wrote :

I've upgraded ubuntu on my laptop from 12.04 to 12.10. After that i noticed this bug several times.

Ocasionaly Cpu usage of process /usr/bin/X ... reaches 20% level or more and all the system dehaves sluggishly.

I 've created Xorg config manualy using $sudo Xorg -configure.
I haven't noticed any wrong XOrg behaviour since that... so, manual configure seems helpful.

Furthermore there are some options on the "Card section" you can play with. I hope that solves the problem

dell laptop: core i5, graphics: i915

waydownsouth, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p xorg-server REPLACE-WITH-BUG-NUMBER

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

summary: - MASTER: xorg high cpu usage, general system sluggishness
+ xorg high cpu usage, system sluggishness
Changed in xorg-server (Ubuntu):
importance: Wishlist → Low
status: Triaged → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for xorg-server (Ubuntu) because there has been no activity for 60 days.]

Changed in xorg-server (Ubuntu):
status: Incomplete → Expired
efa (efa) wrote :

after last updates, resuming suspension, Xorg use 100% of one CPU core.

Ubuntu 16.04.4
Kernel: 4.4.0-124-generic

xorg
version: 1:7.7+13ubuntu3
ver: X11R7.7+13ubuntu3 X.Org X Server 1.18.4

efa (efa) on 2018-05-18
Changed in xorg-server (Ubuntu):
status: Expired → Confirmed
Daniel van Vugt (vanvugt) wrote :

This bug is 10 years old and should remain closed.

Please open a new bug if you have any problems.

Changed in xorg-server (Ubuntu):
status: Confirmed → Invalid
Displaying first 40 and last 40 comments. View all 108 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers